Object::Pad::ExtensionBuilder(3pm)

NAME
"Object::Pad::ExtensionBuilder" - build-time support for extensions to "Object::Pad"

SYNOPSIS
In Build.PL:

   use Object::Pad::ExtensionBuilder;

   my $build = Module::Build->new)
      ...,
      configure_requires => {
         'Object::Pad::ExtensionBuilder' => 0,
      },
   );

   Object::Pad::ExtensionBuilder->extend_module_build( $build );

   ...

DESCRIPTION
This module provides a build-time helper to assist authors writing XS modules that provide Object::Pad extensions. It prepares a Module::Build-using distribution to be able to compile it.

METHODS

  write_object_pad_h
   Object::Pad::ExtensionBuilder->write_object_pad_h;

This method no longer does anything since version 0.810.

  extra_compiler_flags
   @flags = Object::Pad::ExtensionBuilder->extra_compiler_flags;

Returns a list of extra flags that the build scripts should add to the compiler invocation. This enables the C compiler to find the object_pad.h file.

  extend_module_build
   Object::Pad::ExtensionBuilder->extend_module_build( $build );

A convenient shortcut for performing all the tasks necessary to make a Module::Build-based distribution use the helper.

AUTHOR
Paul Evans <leonerd@leonerd.org.uk>